import request from "@/http/request";

// 查询工作
export const queryKateWorks = (params) => {
  return request({
    url: '/kate/queryKateWorks',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 下发工作
export const initWorks = (params) => {
  return request({
    url: '/kate/initWorks',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 查询当前工作
export const getCurrentWorks = (params) => {
  return request({
    url: '/kate/getCurrentWorks',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 确认当前工作
export const confirmCurrentWork = (params) => {
  return request({
    url: '/kate/confirmCurrentWork',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 获取图纸---定时显示
export const getImageOfWork = (params) => {
  return request({
    url: '/kate/getImageOfWork',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 获取料盒及缺料
export const getBoxesAndLacks = (params) => {
  return request({
    url: '/kate/getBoxesAndLacks',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 分页查询看板
export const queryKanbanByPage = (params) => {
  return request({
    url: '/kate/queryKanbanByPage',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 生成看板需求
export const genClcKanbanRequirement = (params) => {
  return request({
    url: '/kate/genClcKanbanRequirement',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 请求图纸---产线扫码
export const requestImageDetail = (params) => {
  return request({
    url: '/kate/requestImageDetail',
    method: 'post',
    data: params,
    timeout: 10000
  })
}
// 分页查询DBS
export const queryDbsByPage = (params) => {
  return request({
    url: '/kate/queryDbsByPage',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 分页查询配料单
export const queryKittingBomByPage = (params) => {
  return request({
    url: '/kate/queryKittingBomByPage',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 分页查询图纸列表
export const queryImagesByPage = (params) => {
  return request({
    url: '/kate/queryImagesByPage',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 分页查询对应关系
export const queryRelationByPage = (params) => {
  return request({
    url: '/kate/queryRelationByPage',
    method: 'post',
    data: params,
    timeout: 5000
  })
}

export const queryWorkSummaryByPage = (params) => {
  return request({
    url: '/kate/queryWorkSummaryByPage',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 查询当前工作正在配的料
export const queryWorkingGoodsByPage = (params) => {
  return request({
    url: '/kate/queryWorkingGoodsByPage',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 查询缺料列表
export const getLackGoods = (params) => {
  return request({
    url: '/kate/getLackGoods',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 更新工作信息
export const updateKateWorks = (params) => {
  return request({
    url: '/kate/updateKateWorks',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 关闭缺料工作
export const closeCurrentWorks = (params) => {
  return request({
    url: '/kate/closeCurrentWorks',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 请求料盒标签数据
export const requestPrintBoxTags = (params) => {
  return request({
    url: '/kate/requestPrintBoxTags',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 删除一条dbs计划
export const deleteDbsPlan = (params) => {
  return request({
    url: '/kate/deleteDbsPlan',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 获取物料需求
export const getGoodsRequirement = (params) => {
  return request({
    url: '/kate/getGoodsRequirement',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 删除配料单
export const deleteKittingBom = (params) => {
  return request({
    url: '/kate/deleteKittingBom',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
// 获取筛选条件的所有工单号列表
export const getTargetOrderList = (params) => {
  return request({
    url: '/kate/getTargetOrderList',
    method: 'post',
    data: params,
    timeout: 5000
  })
}
